MantisBT

View Issue Details Jump to Notes ] Wiki ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0017377mantisbtcode cleanuppublic2014-05-26 11:132014-05-29 16:12
Reportergrangeway 
Assigned Tograngeway 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version1.3.xFixed in Version1.3.x 
Summary0017377: Reduce unneeded global Variables: g_libraries_included
Description$g_libraries included is defined as a global variable. It's only use is within the require_library() function, and therefore can be implemented as a static variable within this function.

This reduces the number of variables within the global scope
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Related Changesets
MantisBT: master 44285cf9
Timestamp: 2014-05-29 08:59:35
Author: Paul Richards
Details ] Diff ]
Fix 0017377: Reduce unneeded global Variables: g_libraries_included
mod - core.php Diff ] File ]
MantisBT: master d233c9df
Timestamp: 2014-05-29 09:05:03
Author: grangeway
Details ] Diff ]
Merge pull request #183 from grangeway/17377

Fix 0017377: Reduce unneeded global Variables: g_libraries_included
mod - core.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-26 11:13 grangeway New Issue
2014-05-28 18:41 grangeway Status new => assigned
2014-05-28 18:41 grangeway Assigned To => grangeway
2014-05-29 09:05 Changeset attached => MantisBT master 44285cf9
2014-05-29 09:05 anonymous Status assigned => resolved
2014-05-29 09:05 anonymous Resolution open => fixed
2014-05-29 09:05 anonymous Fixed in Version => 1.3.x
2014-05-29 09:07 grangeway Changeset attached => MantisBT master d233c9df
2014-05-29 16:12 atrol Target Version => 1.3.x


MantisBT 1.2.17 [^]
Copyright © 2000 - 2014 MantisBT Team
Time: 0.0696 seconds.
memory usage: 3,023 KB
Powered by Mantis Bugtracker